# EditorConfig is awesome: https://EditorConfig.org

# top-most EditorConfig file
root = true

# Unix-style newlines with a newline ending every file
[*]
end_of_line = lf
insert_final_newline = true

# 4 space indentation (no tabs)
[*.{js,jsx,ts,tsx,html,css,scss,md}]
indent_style = space
indent_size = 4

# Set charset
[*.{js,jsx,ts,tsx,html,css,scss,md}]
charset = utf-8

# For Go files
[*.go]
indent_style = space
indent_size = 4

# For Python files
[*.py]
indent_style = space
indent_size = 4

# For JSON files
[*.json]
indent_style = space
indent_size = 2

# For YAML files
[*.{yaml,yml}]
indent_style = space
indent_size = 2

# For TOML files
[*.toml]
indent_style = space
indent_size = 2
